org.modeshape.jboss.service

## Class CompositeBinaryStorageService

- java.lang.Object
- - org.modeshape.jboss.service.CompositeBinaryStorageService

- All Implemented Interfaces:
    org.jboss.msc.service.Service<BinaryStorage>, org.jboss.msc.value.Value<BinaryStorage>

      public class CompositeBinaryStorageService
      extends Object
      implements org.jboss.msc.service.Service<BinaryStorage>

  A special type of binary storage service, associated with `CompositeBinaryStore`

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.msc.service.Service

      `NULL, NULL_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeBinaryStorageService(String repositoryName, EditableDocument binaries)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryStorage` | `getValue()`
    `org.jboss.msc.value.InjectedValue<BinaryStorage>` | `nestedStoreConfiguration(String storeName)`
    `void` | `start(org.jboss.msc.service.StartContext startContext)`
    `void` | `stop(org.jboss.msc.service.StopContext stopContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeBinaryStorageService

          public CompositeBinaryStorageService(String repositoryName,
                                       EditableDocument binaries)

  - ### Method Detail

    - #### getValue

          public BinaryStorage getValue()
                                 throws IllegalStateException,
                                        IllegalArgumentException

      Specified by:
        `getValue` in interface `org.jboss.msc.value.Value<BinaryStorage>`
      Throws:
        `IllegalStateException`
        `IllegalArgumentException`

    - #### nestedStoreConfiguration

          public org.jboss.msc.value.InjectedValue<BinaryStorage> nestedStoreConfiguration(String storeName)

    - #### start

          public void start(org.jboss.msc.service.StartContext startContext)

      Specified by:
        `start` in interface `org.jboss.msc.service.Service<BinaryStorage>`

    - #### stop

          public void stop(org.jboss.msc.service.StopContext stopContext)

      Specified by:
        `stop` in interface `org.jboss.msc.service.Service<BinaryStorage>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.